
<html>
	<head>
		<link href="/static/css/style.css" rel="stylesheet">
		<title>{% if entitydata|length %}
			{{entitydata['title']|replace('Greek Anthology', 'Anthologia Graeca')}}{%endif%} 
</title>
	<script>
		function underline(x){
			all= document.getElementsByClassName(x)
			for(let i = 0; i < all.length; i++){
    all[i].style.backgroundColor = "red";;
}
		}
		function normal(x){
			all= document.getElementsByClassName(x)
			for(let i = 0; i < all.length; i++){
    all[i].style.backgroundColor = "white";;
}
		}
	</script>
<script src="https://hypothes.is/embed.js" async></script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/alpheios-components@latest/dist/style/style-components.min.css"/>
<script type="text/javascript">
  document.addEventListener("DOMContentLoaded", function(event) {
    import ("https://cdn.jsdelivr.net/npm/alpheios-embedded@latest/dist/alpheios-embedded.min.js").then(embedLib => {
      window.AlpheiosEmbed.importDependencies({
        mode: 'cdn'
      }).then(Embedded => {
        new Embedded({
          clientId: 'ap'
        }).activate();
      }).catch(e => {
        console.error(`Import of Alpheios embedded library dependencies failed: ${e}`)
      })
    }).catch(e => {
      console.error(`Import of Alpheios Embedded library failed: ${e}`)
    })
  });
</script>

	</head>
	<body>
		{% include "header.html" %}
		<div class="container">
			<div class="toc">
				<p>Antecedens: <a href="/passages/urn:cts:greekLit:tlg7000.tlg001.ag:{{book}}.{{prevf}}">{{book}}.{{prevf}}</a></p>
				<p>Subsequens: <a href="/passages/urn:cts:greekLit:tlg7000.tlg001.ag:{{book}}.{{nextf}}">{{book}}.{{nextf}}</a></p>
			</div>
			{% if entitydata|length %}
			<h1>{{entitydata['title']|replace('Greek Anthology', 'Anthologia Graeca')}}, 
				
			{% for author in authors %}
			<a href="/authors/{{author['id_author']}}">{{author["name"]}}</a>
			{% endfor %}</h1>
			<p>Perseus URN: <a href="{{entitydata['uris'][0]['value']}}">{{entitydata['uris'][0]['value']}}</a></p>
			<p>Hoc epigramma ex Anthologiae principali situ: <a href="https://anthologia.ecrituresnumeriques.ca/entities/{{entitydata['id_entity']}}">https://anthologia.ecrituresnumeriques.ca/entities/{{entitydata['id_entity']}}</a></p>
			<p>Json fons: <a href="https://anthologia.ecrituresnumeriques.ca/api/v1/entities/{{entitydata['id_entity']}}">https://anthologia.ecrituresnumeriques.ca/api/v1/entities/{{entitydata['id_entity']}}</a></p>
			<p>Hoc epigramma ex POP situ: <a href="http://pop.anthologiegrecque.org/#/epigramme/{{entitydata['id_entity']}}">http://pop.anthologiegrecque.org/#/epigramme/{{entitydata['id_entity']}}</a></p>
			<p>Epigramma ad collectionem additum ab editore {{entitydata['id_user']['first_name']}} {{entitydata['id_user']['last_name']}} {{entitydata['id_user']['institution']}}</p>
			<p>Nuper mutata {{entitydata['updatedAt']}}</p>
			Argumenta: {{keywords|safe}}
			<h2>Textus epigrammatis</h2>
			
			{% for version in entitydata['versions'] %}
						<p>Lingua:
			{% if version['id_language']==1 %}
			Italiano<div>
			{% endif %}
			{% if version['id_language']==2 %}
			Français<div>
			{% endif %}
			{% if version['id_language']==3 %}
			English<div>
			{% endif %}
			{% if version['id_language']==4 %}
			ελληνικά <div class="alpheios-enabled" lang="grc" >
			{% endif %}
			{% if version['id_language']==5 %}
			Français<div>
			{% endif %}
			{% if version['id_language']==6 %}
			Français<div>
			{% endif %}
			{% if version['id_language']==7 %}
			ελληνικά <div class="alpheios-enabled" lang="grc" >
			{% endif %}
			{% if version['id_language']==8 %}
                        ελληνικά <div class="alpheios-enabled" lang="grc" >
			{% endif %}
			{% if version['id_language']==9 %}
                        ελληνικά <div class="alpheios-enabled" lang="grc" >
			{% endif %}
			{% if version['id_language']==10 %}
			ελληνικά <div class="alpheios-enabled" lang="grc" >
			{% endif %}
			{% if version['id_language']==11 %}
			Spanish <div>
			{% endif %}
			{% if version['id_language']==12 %}
			Português <div>
			{% endif %}
			</p><p>
			Editio: {{version['edition']}}</p>
							<p class="texttranslated">{{version['text_translated']|replace('\n', '<br>')|safe}}</p>
			</div>
			{% endfor %}
			
							{% for imgman in entitydata['imagesManuscript'] %}
							<h3> Codex</h3>
							<img src="{{imgman['URL']}}">
							{% endfor %}

							{% for img in entitydata['images'] %}
							<h3>Picturae</h3>
							<img src="{{img['URL']}}">
							{% endfor %}
							{% for extref in entitydata['externalRef'] %}
							<h3>External Reference</h3>
							<a href="{{extref['url']}}">{{extref['title']}}</a>
							{% endfor %}
							{% for intref in entitydata['internalRef_sources'] %}
							<h3>Internal Reference</h3>
							<a href="/entity/{{intref.id_entity}}">{{intref.title|replace('Greek Anthology', 'Anthologia Graeca')}}</a>
							{% endfor %}
							{% for note in notes%}
							<h3> Note: {{note['title']}}</h3>
							{%for version in note['versions']%}	
							<p>{{version['text']}}</p>

							{%endfor%}
							{%endfor%}
							{% for scholion in entitydata.scholies%}
							<h3><a href="/passages/urn:cts:greekLit:tlg5011.tlg001.sag:{{scholion['title']}}">Scholium {{scholion['title']}}</a></h3>
							{%endfor%}
			{% for alignment in entitydata.alignements %}
			<h4 style="width:200px;">Alignement de {{alignment.source}} avec {{alignment.target}}</h4>
			{% set count=loop.index%}
			{{counter}}
			<div class="left">
			<h5>	source</h5>
			{% for items in alignment.json.0%}
			{%for item in items%}
			{% if item.t %}
			<span onmouseover="underline(this.className)" onmouseout="normal(this.className)" class="{{count}}align{{item.h.0}}">{{item.t}}</span>
			{%endif%}{%if item.p%} {{item.p}}{%endif%}
			{%endfor%}<br>
			{%endfor%}
			</div>
			<div class="right">
			<h5>	target</h5>
		{% for items in alignment.json.1%}
			{%for item in items%}
			{% if item.t %}
			<span class="{{count}}align{{item.h.0}}">{{item.t}}</span>
			{%endif%}{%if item.p%} {{item.p}}{%endif%}{%if item | length == 0%}<br>{%endif%}
			{%endfor%}<br>
			{%endfor%}
			</div>
			{%endfor%}
							{%else%}
							<h1>This epigram does not exist</h1>
							This epigram does not exist in our database. Please, check if you are using the right Perseus urn. If the urn is the right one, you can add the epigram in our database <a href="https://anthologia.ecrituresnumeriques.ca">here</a> 							{%endif%}
		</div>
	</body>
</html>
